Bug 490269 - Review Request: xfglenses - Gravitational lenses visualization program
Review Request: xfglenses - Gravitational lenses visualization program
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-14 10:09 EDT by Thibault North
Modified: 2010-02-27 12:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-27 12:18:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Thibault North 2009-03-14 10:09:30 EDT
Spec URL: http://tnorth.ch/fedora/xfglenses.spec
SRPM URL: http://tnorth.ch/fedora/xfglenses-1.0-1.fc11.src.rpm
Description: Xfglenses is a program to visualize gravitational lenses. It implements many different gravitational potentials and gives a lot of flexibility to simulate an infinite number of situations.
Comment 1 Thibault North 2009-03-14 10:12:34 EDT
Note:
The file COPYING is missing, as upstream is choosing a GPL-compatible licence. The SPEC & SRPM will be updated ASAP when I recieve the information.
Also note that the sources don't figure on the website yet. The source archive in the SRPM has been sent upstream with patches, and will be online soon.
Comment 2 Susi Lehtola 2009-03-14 14:17:07 EDT
Cool, GR!
Comment 3 Thibault North 2009-04-09 18:44:16 EDT
GPLv3 has been chosen by the author.

- Spec has been updated
- SRPMS and SPEC are now :
Spec URL: http://tnorth.ch/fedora/xfglenses.spec
SRPM URL: http://tnorth.ch/fedora/xfglenses-1.0-2.fc11.src.rpm

AUTHORS and LICENSE file have been added.
Source has been patched to remove code under uncertain licence. The final tarball which is contained in the package will appear on the project website soon.

Could you please review it now ?
Comment 4 Susi Lehtola 2009-04-09 19:08:20 EDT
rpmlint output:
xfglenses.x86_64: W: incoherent-version-in-changelog 1-0-2 ['1.0-2.fc10', '1.0-2']
3 packages and 0 specfiles checked; 0 errors, 1 warnings.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK

MUST: The spec file for the package is legible and macros are used consistently. OK
- The BuildRequires line is a bit long, you could chop it up in two.

MUST: The License field in the package spec file must match the actual license. OK
- Source code files contain no license headers, please ask upstream to add them.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. NEEDSFIX
- Source URL gives 404, according to URL correct file is
http://www.tat.physik.uni-tuebingen.de/~frutto/xfglenses.zip
- Source used does not match upstream.

MUST: Optflags are used and time stamps preserved. ???
- No compiler commands are visible in the output.

MUST: Desktop files are installed properly. ??
- If the program starts just by calling the binary, then a Desktop file should be written.

MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK
MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. OK
MUST: Packages containing shared library files must call ldconfig. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. OK
MUST: Static libraries must be in a -static package. OK
MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. OK
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. OK
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. OK
MUST: Packages does not contain any .la libtool archives. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release.
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 5 Thibault North 2009-04-10 12:59:10 EDT
> xfglenses.x86_64: W: incoherent-version-in-changelog 1-0-2 ['1.0-2.fc10',
>'1.0-2']
>3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fixed

>MUST: The sources used to build the package must match the upstream source, as
>provided in the spec URL. NEEDSFIX

Upstream has been notified a while ago, it's just a matter of time. I will comment here again when it is done.

>MUST: Optflags are used and time stamps preserved. ???
>- No compiler commands are visible in the output.

There is one right after the green "Building C object src/CMakeFiles/xfglenses.dir/xfglenses.c.o" (followed by compilation warnings), march=i585 is used (eg)


>MUST: Desktop files are installed properly. ??
>- If the program starts just by calling the binary, then a Desktop file should
>be written.

Has been added in category "Education". Icon has been added to source package.
Comment 6 Susi Lehtola 2009-04-10 14:19:27 EDT
(In reply to comment #5)
> >MUST: Optflags are used and time stamps preserved. ???
> >- No compiler commands are visible in the output.
> 
> There is one right after the green "Building C object
> src/CMakeFiles/xfglenses.dir/xfglenses.c.o" (followed by compilation warnings),
> march=i585 is used (eg)

Okay, I just missed it.
Comment 7 Thibault North 2009-04-11 22:09:13 EDT
Source is online :
http://www.tat.physik.uni-tuebingen.de/~frutto/xfglenses-1.0.tar.bz2

I'll update the SRPM asap. There shouldn't be any other blocking thing now.
Thanks for the review.
Comment 8 Thibault North 2009-04-13 09:57:01 EDT
SRPM is now ok:

URL: http://tnorth.ch/fedora/xfglenses-1.0-2.fc11.src.rpm

Also, there is a scratch koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1294051

Package is ready IMHO.
Comment 9 Susi Lehtola 2009-04-13 10:56:44 EDT
xfglenses.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 10)
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

- You didn't update release tag, even though you modified the spec file.

- Fix the rpmlint warning. Also, please don't use macros where they are not needed: rm, make, cp, mkdir &c. This makes the spec file unneededly difficult to read.

- Vendor is incorrect, should be empty string "". If you're targeting solely for Fedora, it isn't even needed (EPEL still needs the explicit vendor argument).

- Patch0 is highly dubitable since it is not necessary in order to build the package; it just modifies the credits of the program. Given that it's the only patch that is supplied and it does not modify the program in any way, I find it impossible to accept as such. If you have contributed to the package, the modifications should be put in by upstream.


** 

rpmlint output:


MUST: The spec file for the package is legible and macros are used consistently. NEEDSFIX

MUST: A package must own all directories that it creates or require the package that owns the directory. NEEDSFIX
- Add Requires: hicolor-icon-theme
Comment 10 Thibault North 2009-04-13 11:34:26 EDT
>- You didn't update release tag, even though you modified the spec file.

Yup, since the package is not part of the repo yet, I tought that was not required at that point.

>- Fix the rpmlint warning. Also, please don't use macros where they are not
needed: rm, make, cp, mkdir &c. This makes the spec file unneededly difficult
to read.

Okay i'll fix that.

>- Patch0 is highly dubitable since it is not necessary in order to build the
package;[...]

You're actually right, but this patch adds credits for another contributer also. While upstream hasn't updated its source archive, I wanted to be sure that this contributor is present in the AUTHORS file. But alright, i'll remove it and wait till it is present upstream.

I'll fix all that within the next few day.
Thanks again.
Comment 11 Susi Lehtola 2009-05-04 14:56:29 EDT
ping?
Comment 12 Thibault North 2009-05-05 04:32:40 EDT
pong.
I'm quite busy these days and for the next few month (bachelor's thesis) so I won't be able to touch this package :-(
btw, if anyone would like to fix it, just feel free to do it.
Comment 13 Susi Lehtola 2009-07-05 06:36:09 EDT
ping, what's the status?
Comment 14 Susi Lehtola 2009-08-04 08:24:32 EDT
ping again?
Comment 15 Thibault North 2009-08-04 09:43:28 EDT
Sorry, quite busy ATM.
No news from upstream, I need to ping him again.

BTW, if you feel like giving help in fixing the remaning stuff, you are welcome.
Comment 16 Susi Lehtola 2010-01-01 17:56:30 EST
ping?
Comment 17 Chitlesh GOORAH 2010-01-11 15:07:02 EST
Jussi, tnorth (sponsored by me) is very active in the FEL environment. He is _currently_ busy with his private life. I would appreciate if you can give him at least a month till he finds stability in his private life. I value tnorth's contributions and is a great contributor for FEL.
Comment 18 Susi Lehtola 2010-01-11 15:53:08 EST
(In reply to comment #17)
> Jussi, tnorth (sponsored by me) is very active in the FEL environment. He is
> _currently_ busy with his private life. I would appreciate if you can give him
> at least a month till he finds stability in his private life. I value tnorth's
> contributions and is a great contributor for FEL.    

I got a mail from him today with a new srpm, since he seems to have problems with his BZ account.

There's no real rush on my end, however normally review bugs are closed after a couple of weeks of inactivity. This review hasn't seem activity in 9 months, so that's really not a really promising starting point for maintaining a package.

If he still is going to be busy for a long time, then I'd rather close this bug for now and reopen it when Thibault again has time.
Comment 19 Thibault North 2010-01-20 08:58:54 EST
Hi again,

Waiting for news (upstream) for 8 days now. Will ping again soon if no reply. Sorry for the delay.
Comment 20 Thibault North 2010-02-27 12:18:15 EST
Unresponsive upstream since last post here. Closing the bug now, it has been too long, and I will reopen as soon as I get feedback about xfglenses. Sorry for the noise.

Note You need to log in before you can comment on or make changes to this bug.